/*
 * @(#)PositionConstants.java
 *
 * $Date: 2009-11-17 18:56:29 -0800 (Tue, 17 Nov 2009) $
 *
 * Copyright (c) 2009 by Jeremy Wood.
 * All rights reserved.
 *
 * The copyright of this software is owned by Jeremy Wood. 
 * You may not use, copy or modify this software, except in  
 * accordance with the license agreement you entered into with  
 * Jeremy Wood. For details see accompanying license terms.
 * 
 * This software is probably, but not necessarily, discussed here:
 * http://javagraphics.blogspot.com/
 * 
 * And the latest version should be available here:
 * https://javagraphics.dev.java.net/
 */
package com.bric.plaf;

/** Constants to indicate horizontal and vertical positions.
 *
 */
public interface PositionConstants {
	/** A constant used to indicate the horizontal position of a button. */
	static final int POS_BOTTOM = 5;
	/** A constant used to indicate the horizontal position of a button. */
	static final int POS_LEFT = 0;
	/** A constant used to indicate the horizontal or vertical position of a button. */
	static final int POS_MIDDLE = 1;
	/** A constant used to indicate the horizontal or vertical position of a button. */
	static final int POS_ONLY = 3;
	/** A constant used to indicate the horizontal position of a button. */
	static final int POS_RIGHT = 2;
	/** A constant used to indicate the horizontal position of a button. */
	static final int POS_TOP = 4;
}
